Kapitel 6. Programmering med GEL
Föregående |  | Nästa

# Kapitel 6. Programmering med GEL

## Villkor

Syntax:

    if <expression1> then <expression2> [else <expression3>]

Om `else` utesluts och `uttryck1` ger `false` eller 0 kommer `NULL` att returneras.

Exempel:

    if(a==5)then(a=a-1)
    if b<a then b=a
    if c>0 then c=c-1 else c=0
    a = ( if b>0 then b else 1 )

Observera att `=` kommer att översättas till `==` om det används inuti uttrycket för `if`, så

    if a=5 then a=a-1

kommer tolkas som:

    if a==5 then a:=a-1

Föregående |  | Nästa
Lista över GEL-operatorer | Hem | Slingor